# Patch file for Keen - use with CK5PATCH.EXE

%ext ck5

%gamemaps custmaps.ck5
%maphead maphead.ck5

# Load the modified graphics
%egahead EGAHEAD.CK5

%level.name 1
Yorp Outpost

%level.entry 1
Ck lands in Yorp Outpost

%level.entry 3
Keen penetrates the RGD

%level.name 3
Rock Guard District

%patchfile $25B22 2.tli 

#Keen 5 Music
#Song values:
#00 = Came In           01 = Armageddon Machine
#02 = High Scores       03 = Snooping
#04 = Bagpipes          05 = Wednesday on the Beach
#06 = Unknown           07 = Security Center
#08 = Help              09 = Be Sphereful With My Diamonds
#0A = Make it Tighter   0B = Omegamatic
#0C = Fanfare           0D = Quantum Explosion Dynamo

#This is the music played in each level:
#             VALUE   LEVEL                      MUSIC PLAYED            LEVEL No
%patch $3067A $0B $00 #Map                       (Omegamatic)              0
              $06 $00 #Ion Ventilation System    (Wednesday on the Beach)  1
              $07 $00 #Security Center           (Security Center)         2
              $01 $00 #Defense Tunnel Vlook      (Be Sphereful)            3
              $0A $00 #Energy Flow Systems       (Make it Tighter)         4
              $09 $00 #Defense Tunnel Burrh      (Be Sphereful)            5
              $0A $00 #Regulation Control Center (Make it Tighter)         6
              $09 $00 #Defense Tunnel Sorra      (Be Sphereful)            7
              $0A $00 #Neutrino Burst Injector   (Make it Tighter)         8
              $09 $00 #Defense Tunnel Teln       (Be Sphereful)            9
              $0A $00 #Brownian Motion Inducer   (Make it Tighter)         10
              $03 $00 #Gravitational Damping Hub (Snooping)                11
              $0D $00 #Quantum Explosion Dynamo  (QED)                     12
              $04 $00 #Korath III Base           (Bagpipes)                13
              $0C $00 #Ending                    (Fanfare)
              $02 $00 #High Scores               (High Scores)             15
%patch $3069C $01 $00 #Scrolling Story           (Armageddon Machine)
              $00 $00 #Game Over                 (Came In)
              $08 $00 #Help                      (Help) 

###
#Shocksund
###

#Sit
%patch $331EE $11C4179FRL #Shocksund
%patch $3320C $11C4179FRL #Shocksund

#Bark
%patch $3322A $11C418CBRL #Shocksund
%patch $33248 $11C418CBRL #Shocksund

#Walk
%patch $33266 $11C4179FRL #Shocksund
%patch $33284 $11C4179FRL #Shocksund
%patch $332A2 $11C4179FRL #Shocksund
%patch $332C0 $11C4179FRL #Shocksund

#Jump
%patch $332DE $11C418CBRL #Shocksund jump


#Shot smash
%patch $33338 $090B17B5RL #Solid
%patch $33356 $090B17B5RL #Solid

#Stunned
%patch $33374 $090B195ARL #Stunned

###
#Robo Red
###

#Robo Red move
%patch $32A80 $0000W $0000W #

#Shoot
%patch $32A9E $0000W $0000W #Pause before shooting
%patch $32ABC $0040W $0000W #Move forward this much when shooting
%patch $32ADA $0000W $0000W #Make bullets

#Shots
%patch $32AF8 $0000W $0000W #
%patch $32B16 $0000W $0000W #

#Shot smash
%patch $32B34 $0000W $0000W #
%patch $32B52 $0000W $0000W #


#Make the Shikadi Polezaps move horiziontally:
%patch $13105 $0E         #Make zaps horizontal
%patch $13110 $0E
%patch $331A4 $0001W      #Make sparks animate
%patch $331C2 $0001W
%patch $331AA $00000000L  #Remove default vertical speed stuff
%patch $331C8 $00000000L
%patch $331A6 $0020W      #Actual speed is these two lines
%patch $331C4 $0020W

#Shikadi will zap poles even when Keen is standing level with it
#(By default it doesn't)
%patch $12FA6 $75

#Shikadi zap anywhere, not just poles
%patch $1301E $90 $90

#Shikadi strength
%patch $12EFA $04 $00

#Pole spark speed:
%patch $13139 $99 $00

#Ampton cannot move up poles (From pole bottoms)
%patch $113B3 $FF $FF

#Chance of zapping a pole
%patch $130D3 $01

#Disable 2 Button firing in demo
%patch $8B07 $90 $90 $90 $90 $90 $90 $90

#Korath has only three walking animations, but has two standing animations
#(Here we change the lists of actions.)
%patch $3342E $30F0W #Korath walking
%patch $3344C $310EW #Korath walking
%patch $3346A $30D2W  #Korath walking (Change this to go back to 1 instead of 4)

%patch $33488 $314AW #First (new) frame of sit (Goes to second, old frame)
%patch $334A6 $30D2W #Korath sit

#Spawn
%patch $13951 $312CW #Change sit pointer to first frame of new sit
%end
